package com.njyunzhi.pet_identity.common;

import cn.binarywang.wx.miniapp.api.WxMaService;
import cn.binarywang.wx.miniapp.api.impl.WxMaServiceImpl;
import cn.binarywang.wx.miniapp.config.impl.WxMaDefaultConfigImpl;
import com.njyunzhi.pet_identity.config.WeixinConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class WxUtils {
    //
    private final WeixinConfig config;
    //
    private static WxMaService maService;

    @Autowired
    public WxUtils(WeixinConfig config) {
        this.config = config;
        this.maService = initMaService(config);
    }

    public WxMaService getMaService() throws Exception {
        return maService;
    }

    private WxMaService initMaService(WeixinConfig config) {
        WxMaDefaultConfigImpl conf = new WxMaDefaultConfigImpl();
        WeixinConfig.Miniapp miniapp = config.getMiniapp();
        conf.setAppid(miniapp.getAppid());
        conf.setSecret(miniapp.getSecret());
        conf.setToken(miniapp.getToken());
        conf.setAesKey(miniapp.getAesKey());
        conf.setMsgDataFormat("JSON");

        WxMaService service = new WxMaServiceImpl();
        service.setWxMaConfig(conf);
        return service;
    }
}
