package com.njyunzhi.pet_identity.vo;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.njyunzhi.pet_identity.common.excelConverter.ResultStatusConverter;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.net.URL;
import java.time.LocalDateTime;

@Data
@ContentRowHeight(60)
@HeadRowHeight(30)
@ColumnWidth(25)
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FormExport {

    @ColumnWidth(15)
    @ExcelProperty(value = "序号")
    private String index;

    @ExcelProperty(value = "企业名称")
    private String orgName;

    @ExcelProperty(value = "申请人名称")
    private String userName;

    @ExcelIgnore
    private String antigenImage;

    @ExcelProperty(value = "抗原截图")
    private URL antigenImageURL;

    @ExcelProperty(value = "抗原是否正常", converter = ResultStatusConverter.class)
    private Integer antigenIsNormal;

    @ExcelIgnore
    private String nucleicImage;

    @ExcelProperty(value = "核酸截图")
    private URL nucleicImageURL;

    @ExcelProperty(value = "核酸是否正常", converter = ResultStatusConverter.class)
    private Integer nucleicIsNormal;

    @ExcelProperty(value = "申请时间")
    private LocalDateTime createDate;
}
